View Issue Details

IDProjectCategoryView StatusLast Update
13830Bug reports[All Projects] Survey takingpublic2018-08-07 17:01
ReporterolleharAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.13.x 
Summary13830: Language changer broken in Ajax mode
Description

Title.

Steps To Reproduce
  1. Import survey limesurvey_survey_143933 from tests/data/surveys/
  2. Preview survey
  3. Click next
  4. Change language in left-top corner
  5. Survey is progressed to next question (should stay on same page)
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest master
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

markusfluer

markusfluer

2018-07-06 16:51

manager   ~48462

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27595

markusfluer

markusfluer

2018-08-07 17:01

manager   ~48729

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 6ba77766

2018-07-06 16:51:30

markusfluer

Details Diff
Fixed issue 13830: Language changer broken in Ajax mode
mod - assets/packages/limesurvey/survey.js Diff File
mod - themes/survey/vanilla/scripts/ajaxify.js Diff File

Issue History

Date Modified Username Field Change
2018-06-29 11:06 ollehar New Issue
2018-06-29 11:06 ollehar Status new => assigned
2018-06-29 11:06 ollehar Assigned To => markusfluer
2018-07-06 16:51 markusfluer Changeset attached => LimeSurvey master 6ba77766
2018-07-06 16:51 markusfluer Note Added: 48462
2018-07-06 16:51 markusfluer Resolution open => fixed
2018-07-09 12:30 markusfluer Status assigned => resolved
2018-07-09 12:30 markusfluer Fixed in Version => 3.13.x
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48729